IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/35
Addresses2^93
/64 networks536,870,912
- Network
fe80:c25d::/35- First address
fe80:c25d::- Last address
fe80:c25d:1fff:ffff:ffff:ffff:ffff:ffff- Addresses
- 9,903,520,314,283,042,199,192,993,792 (2^93)
- /64 networks (LANs)
- 536,870,912
- Full form
fe80:c25d:0000:0000:0000:0000:0000:0000- Type
- Link-local fe80::/10
Every IPv6 interface has one; not routed - Reverse DNS zones
0.d.5.2.c.0.8.e.f.ip6.arpa1.d.5.2.c.0.8.e.f.ip6.arpa
/35 is not on a 4-bit boundary, so it takes 2 /36 zones.
Split into smaller subnets
fe80:c25d::/35 makes 512 subnets of /44; the first 256 are listed.
| # | Subnet | Last address |
|---|---|---|
| 1 | fe80:c25d::/44 | fe80:c25d:f:ffff:ffff:ffff:ffff:ffff |
| 2 | fe80:c25d:10::/44 | fe80:c25d:1f:ffff:ffff:ffff:ffff:ffff |
| 3 | fe80:c25d:20::/44 | fe80:c25d:2f:ffff:ffff:ffff:ffff:ffff |
| 4 | fe80:c25d:30::/44 | fe80:c25d:3f:ffff:ffff:ffff:ffff:ffff |
| 5 | fe80:c25d:40::/44 | fe80:c25d:4f:ffff:ffff:ffff:ffff:ffff |
| 6 | fe80:c25d:50::/44 | fe80:c25d:5f:ffff:ffff:ffff:ffff:ffff |
| 7 | fe80:c25d:60::/44 | fe80:c25d:6f:ffff:ffff:ffff:ffff:ffff |
| 8 | fe80:c25d:70::/44 | fe80:c25d:7f:ffff:ffff:ffff:ffff:ffff |
| 9 | fe80:c25d:80::/44 | fe80:c25d:8f:ffff:ffff:ffff:ffff:ffff |
| 10 | fe80:c25d:90::/44 | fe80:c25d:9f:ffff:ffff:ffff:ffff:ffff |
| 11 | fe80:c25d:a0::/44 | fe80:c25d:af:ffff:ffff:ffff:ffff:ffff |
| 12 | fe80:c25d:b0::/44 | fe80:c25d:bf:ffff:ffff:ffff:ffff:ffff |
| 13 | fe80:c25d:c0::/44 | fe80:c25d:cf:ffff:ffff:ffff:ffff:ffff |
| 14 | fe80:c25d:d0::/44 | fe80:c25d:df:ffff:ffff:ffff:ffff:ffff |
| 15 | fe80:c25d:e0::/44 | fe80:c25d:ef:ffff:ffff:ffff:ffff:ffff |
| 16 | fe80:c25d:f0::/44 | fe80:c25d:ff:ffff:ffff:ffff:ffff:ffff |
| 17 | fe80:c25d:100::/44 | fe80:c25d:10f:ffff:ffff:ffff:ffff:ffff |
| 18 | fe80:c25d:110::/44 | fe80:c25d:11f:ffff:ffff:ffff:ffff:ffff |
| 19 | fe80:c25d:120::/44 | fe80:c25d:12f:ffff:ffff:ffff:ffff:ffff |
| 20 | fe80:c25d:130::/44 | fe80:c25d:13f:ffff:ffff:ffff:ffff:ffff |
| 21 | fe80:c25d:140::/44 | fe80:c25d:14f:ffff:ffff:ffff:ffff:ffff |
| 22 | fe80:c25d:150::/44 | fe80:c25d:15f:ffff:ffff:ffff:ffff:ffff |
| 23 | fe80:c25d:160::/44 | fe80:c25d:16f:ffff:ffff:ffff:ffff:ffff |
| 24 | fe80:c25d:170::/44 | fe80:c25d:17f:ffff:ffff:ffff:ffff:ffff |
| 25 | fe80:c25d:180::/44 | fe80:c25d:18f:ffff:ffff:ffff:ffff:ffff |
| 26 | fe80:c25d:190::/44 | fe80:c25d:19f:ffff:ffff:ffff:ffff:ffff |
| 27 | fe80:c25d:1a0::/44 | fe80:c25d:1af:ffff:ffff:ffff:ffff:ffff |
| 28 | fe80:c25d:1b0::/44 | fe80:c25d:1bf:ffff:ffff:ffff:ffff:ffff |
| 29 | fe80:c25d:1c0::/44 | fe80:c25d:1cf:ffff:ffff:ffff:ffff:ffff |
| 30 | fe80:c25d:1d0::/44 | fe80:c25d:1df:ffff:ffff:ffff:ffff:ffff |
| 31 | fe80:c25d:1e0::/44 | fe80:c25d:1ef:ffff:ffff:ffff:ffff:ffff |
| 32 | fe80:c25d:1f0::/44 | fe80:c25d:1ff:ffff:ffff:ffff:ffff:ffff |
| 33 | fe80:c25d:200::/44 | fe80:c25d:20f:ffff:ffff:ffff:ffff:ffff |
| 34 | fe80:c25d:210::/44 | fe80:c25d:21f:ffff:ffff:ffff:ffff:ffff |
| 35 | fe80:c25d:220::/44 | fe80:c25d:22f:ffff:ffff:ffff:ffff:ffff |
| 36 | fe80:c25d:230::/44 | fe80:c25d:23f:ffff:ffff:ffff:ffff:ffff |
| 37 | fe80:c25d:240::/44 | fe80:c25d:24f:ffff:ffff:ffff:ffff:ffff |
| 38 | fe80:c25d:250::/44 | fe80:c25d:25f:ffff:ffff:ffff:ffff:ffff |
| 39 | fe80:c25d:260::/44 | fe80:c25d:26f:ffff:ffff:ffff:ffff:ffff |
| 40 | fe80:c25d:270::/44 | fe80:c25d:27f:ffff:ffff:ffff:ffff:ffff |
| 41 | fe80:c25d:280::/44 | fe80:c25d:28f:ffff:ffff:ffff:ffff:ffff |
| 42 | fe80:c25d:290::/44 | fe80:c25d:29f:ffff:ffff:ffff:ffff:ffff |
| 43 | fe80:c25d:2a0::/44 | fe80:c25d:2af:ffff:ffff:ffff:ffff:ffff |
| 44 | fe80:c25d:2b0::/44 | fe80:c25d:2bf:ffff:ffff:ffff:ffff:ffff |
| 45 | fe80:c25d:2c0::/44 | fe80:c25d:2cf:ffff:ffff:ffff:ffff:ffff |
| 46 | fe80:c25d:2d0::/44 | fe80:c25d:2df:ffff:ffff:ffff:ffff:ffff |
| 47 | fe80:c25d:2e0::/44 | fe80:c25d:2ef:ffff:ffff:ffff:ffff:ffff |
| 48 | fe80:c25d:2f0::/44 | fe80:c25d:2ff:ffff:ffff:ffff:ffff:ffff |
| 49 | fe80:c25d:300::/44 | fe80:c25d:30f:ffff:ffff:ffff:ffff:ffff |
| 50 | fe80:c25d:310::/44 | fe80:c25d:31f:ffff:ffff:ffff:ffff:ffff |
| 51 | fe80:c25d:320::/44 | fe80:c25d:32f:ffff:ffff:ffff:ffff:ffff |
| 52 | fe80:c25d:330::/44 | fe80:c25d:33f:ffff:ffff:ffff:ffff:ffff |
| 53 | fe80:c25d:340::/44 | fe80:c25d:34f:ffff:ffff:ffff:ffff:ffff |
| 54 | fe80:c25d:350::/44 | fe80:c25d:35f:ffff:ffff:ffff:ffff:ffff |
| 55 | fe80:c25d:360::/44 | fe80:c25d:36f:ffff:ffff:ffff:ffff:ffff |
| 56 | fe80:c25d:370::/44 | fe80:c25d:37f:ffff:ffff:ffff:ffff:ffff |
| 57 | fe80:c25d:380::/44 | fe80:c25d:38f:ffff:ffff:ffff:ffff:ffff |
| 58 | fe80:c25d:390::/44 | fe80:c25d:39f:ffff:ffff:ffff:ffff:ffff |
| 59 | fe80:c25d:3a0::/44 | fe80:c25d:3af:ffff:ffff:ffff:ffff:ffff |
| 60 | fe80:c25d:3b0::/44 | fe80:c25d:3bf:ffff:ffff:ffff:ffff:ffff |
| 61 | fe80:c25d:3c0::/44 | fe80:c25d:3cf:ffff:ffff:ffff:ffff:ffff |
| 62 | fe80:c25d:3d0::/44 | fe80:c25d:3df:ffff:ffff:ffff:ffff:ffff |
| 63 | fe80:c25d:3e0::/44 | fe80:c25d:3ef:ffff:ffff:ffff:ffff:ffff |
| 64 | fe80:c25d:3f0::/44 | fe80:c25d:3ff:ffff:ffff:ffff:ffff:ffff |
| 65 | fe80:c25d:400::/44 | fe80:c25d:40f:ffff:ffff:ffff:ffff:ffff |
| 66 | fe80:c25d:410::/44 | fe80:c25d:41f:ffff:ffff:ffff:ffff:ffff |
| 67 | fe80:c25d:420::/44 | fe80:c25d:42f:ffff:ffff:ffff:ffff:ffff |
| 68 | fe80:c25d:430::/44 | fe80:c25d:43f:ffff:ffff:ffff:ffff:ffff |
| 69 | fe80:c25d:440::/44 | fe80:c25d:44f:ffff:ffff:ffff:ffff:ffff |
| 70 | fe80:c25d:450::/44 | fe80:c25d:45f:ffff:ffff:ffff:ffff:ffff |
| 71 | fe80:c25d:460::/44 | fe80:c25d:46f:ffff:ffff:ffff:ffff:ffff |
| 72 | fe80:c25d:470::/44 | fe80:c25d:47f:ffff:ffff:ffff:ffff:ffff |
| 73 | fe80:c25d:480::/44 | fe80:c25d:48f:ffff:ffff:ffff:ffff:ffff |
| 74 | fe80:c25d:490::/44 | fe80:c25d:49f:ffff:ffff:ffff:ffff:ffff |
| 75 | fe80:c25d:4a0::/44 | fe80:c25d:4af:ffff:ffff:ffff:ffff:ffff |
| 76 | fe80:c25d:4b0::/44 | fe80:c25d:4bf:ffff:ffff:ffff:ffff:ffff |
| 77 | fe80:c25d:4c0::/44 | fe80:c25d:4cf:ffff:ffff:ffff:ffff:ffff |
| 78 | fe80:c25d:4d0::/44 | fe80:c25d:4df:ffff:ffff:ffff:ffff:ffff |
| 79 | fe80:c25d:4e0::/44 | fe80:c25d:4ef:ffff:ffff:ffff:ffff:ffff |
| 80 | fe80:c25d:4f0::/44 | fe80:c25d:4ff:ffff:ffff:ffff:ffff:ffff |
| 81 | fe80:c25d:500::/44 | fe80:c25d:50f:ffff:ffff:ffff:ffff:ffff |
| 82 | fe80:c25d:510::/44 | fe80:c25d:51f:ffff:ffff:ffff:ffff:ffff |
| 83 | fe80:c25d:520::/44 | fe80:c25d:52f:ffff:ffff:ffff:ffff:ffff |
| 84 | fe80:c25d:530::/44 | fe80:c25d:53f:ffff:ffff:ffff:ffff:ffff |
| 85 | fe80:c25d:540::/44 | fe80:c25d:54f:ffff:ffff:ffff:ffff:ffff |
| 86 | fe80:c25d:550::/44 | fe80:c25d:55f:ffff:ffff:ffff:ffff:ffff |
| 87 | fe80:c25d:560::/44 | fe80:c25d:56f:ffff:ffff:ffff:ffff:ffff |
| 88 | fe80:c25d:570::/44 | fe80:c25d:57f:ffff:ffff:ffff:ffff:ffff |
| 89 | fe80:c25d:580::/44 | fe80:c25d:58f:ffff:ffff:ffff:ffff:ffff |
| 90 | fe80:c25d:590::/44 | fe80:c25d:59f:ffff:ffff:ffff:ffff:ffff |
| 91 | fe80:c25d:5a0::/44 | fe80:c25d:5af:ffff:ffff:ffff:ffff:ffff |
| 92 | fe80:c25d:5b0::/44 | fe80:c25d:5bf:ffff:ffff:ffff:ffff:ffff |
| 93 | fe80:c25d:5c0::/44 | fe80:c25d:5cf:ffff:ffff:ffff:ffff:ffff |
| 94 | fe80:c25d:5d0::/44 | fe80:c25d:5df:ffff:ffff:ffff:ffff:ffff |
| 95 | fe80:c25d:5e0::/44 | fe80:c25d:5ef:ffff:ffff:ffff:ffff:ffff |
| 96 | fe80:c25d:5f0::/44 | fe80:c25d:5ff:ffff:ffff:ffff:ffff:ffff |
| 97 | fe80:c25d:600::/44 | fe80:c25d:60f:ffff:ffff:ffff:ffff:ffff |
| 98 | fe80:c25d:610::/44 | fe80:c25d:61f:ffff:ffff:ffff:ffff:ffff |
| 99 | fe80:c25d:620::/44 | fe80:c25d:62f:ffff:ffff:ffff:ffff:ffff |
| 100 | fe80:c25d:630::/44 | fe80:c25d:63f:ffff:ffff:ffff:ffff:ffff |
| 101 | fe80:c25d:640::/44 | fe80:c25d:64f:ffff:ffff:ffff:ffff:ffff |
| 102 | fe80:c25d:650::/44 | fe80:c25d:65f:ffff:ffff:ffff:ffff:ffff |
| 103 | fe80:c25d:660::/44 | fe80:c25d:66f:ffff:ffff:ffff:ffff:ffff |
| 104 | fe80:c25d:670::/44 | fe80:c25d:67f:ffff:ffff:ffff:ffff:ffff |
| 105 | fe80:c25d:680::/44 | fe80:c25d:68f:ffff:ffff:ffff:ffff:ffff |
| 106 | fe80:c25d:690::/44 | fe80:c25d:69f:ffff:ffff:ffff:ffff:ffff |
| 107 | fe80:c25d:6a0::/44 | fe80:c25d:6af:ffff:ffff:ffff:ffff:ffff |
| 108 | fe80:c25d:6b0::/44 | fe80:c25d:6bf:ffff:ffff:ffff:ffff:ffff |
| 109 | fe80:c25d:6c0::/44 | fe80:c25d:6cf:ffff:ffff:ffff:ffff:ffff |
| 110 | fe80:c25d:6d0::/44 | fe80:c25d:6df:ffff:ffff:ffff:ffff:ffff |
| 111 | fe80:c25d:6e0::/44 | fe80:c25d:6ef:ffff:ffff:ffff:ffff:ffff |
| 112 | fe80:c25d:6f0::/44 | fe80:c25d:6ff:ffff:ffff:ffff:ffff:ffff |
| 113 | fe80:c25d:700::/44 | fe80:c25d:70f:ffff:ffff:ffff:ffff:ffff |
| 114 | fe80:c25d:710::/44 | fe80:c25d:71f:ffff:ffff:ffff:ffff:ffff |
| 115 | fe80:c25d:720::/44 | fe80:c25d:72f:ffff:ffff:ffff:ffff:ffff |
| 116 | fe80:c25d:730::/44 | fe80:c25d:73f:ffff:ffff:ffff:ffff:ffff |
| 117 | fe80:c25d:740::/44 | fe80:c25d:74f:ffff:ffff:ffff:ffff:ffff |
| 118 | fe80:c25d:750::/44 | fe80:c25d:75f:ffff:ffff:ffff:ffff:ffff |
| 119 | fe80:c25d:760::/44 | fe80:c25d:76f:ffff:ffff:ffff:ffff:ffff |
| 120 | fe80:c25d:770::/44 | fe80:c25d:77f:ffff:ffff:ffff:ffff:ffff |
| 121 | fe80:c25d:780::/44 | fe80:c25d:78f:ffff:ffff:ffff:ffff:ffff |
| 122 | fe80:c25d:790::/44 | fe80:c25d:79f:ffff:ffff:ffff:ffff:ffff |
| 123 | fe80:c25d:7a0::/44 | fe80:c25d:7af:ffff:ffff:ffff:ffff:ffff |
| 124 | fe80:c25d:7b0::/44 | fe80:c25d:7bf:ffff:ffff:ffff:ffff:ffff |
| 125 | fe80:c25d:7c0::/44 | fe80:c25d:7cf:ffff:ffff:ffff:ffff:ffff |
| 126 | fe80:c25d:7d0::/44 | fe80:c25d:7df:ffff:ffff:ffff:ffff:ffff |
| 127 | fe80:c25d:7e0::/44 | fe80:c25d:7ef:ffff:ffff:ffff:ffff:ffff |
| 128 | fe80:c25d:7f0::/44 | fe80:c25d:7ff:ffff:ffff:ffff:ffff:ffff |
| 129 | fe80:c25d:800::/44 | fe80:c25d:80f:ffff:ffff:ffff:ffff:ffff |
| 130 | fe80:c25d:810::/44 | fe80:c25d:81f:ffff:ffff:ffff:ffff:ffff |
| 131 | fe80:c25d:820::/44 | fe80:c25d:82f:ffff:ffff:ffff:ffff:ffff |
| 132 | fe80:c25d:830::/44 | fe80:c25d:83f:ffff:ffff:ffff:ffff:ffff |
| 133 | fe80:c25d:840::/44 | fe80:c25d:84f:ffff:ffff:ffff:ffff:ffff |
| 134 | fe80:c25d:850::/44 | fe80:c25d:85f:ffff:ffff:ffff:ffff:ffff |
| 135 | fe80:c25d:860::/44 | fe80:c25d:86f:ffff:ffff:ffff:ffff:ffff |
| 136 | fe80:c25d:870::/44 | fe80:c25d:87f:ffff:ffff:ffff:ffff:ffff |
| 137 | fe80:c25d:880::/44 | fe80:c25d:88f:ffff:ffff:ffff:ffff:ffff |
| 138 | fe80:c25d:890::/44 | fe80:c25d:89f:ffff:ffff:ffff:ffff:ffff |
| 139 | fe80:c25d:8a0::/44 | fe80:c25d:8af:ffff:ffff:ffff:ffff:ffff |
| 140 | fe80:c25d:8b0::/44 | fe80:c25d:8bf:ffff:ffff:ffff:ffff:ffff |
| 141 | fe80:c25d:8c0::/44 | fe80:c25d:8cf:ffff:ffff:ffff:ffff:ffff |
| 142 | fe80:c25d:8d0::/44 | fe80:c25d:8df:ffff:ffff:ffff:ffff:ffff |
| 143 | fe80:c25d:8e0::/44 | fe80:c25d:8ef:ffff:ffff:ffff:ffff:ffff |
| 144 | fe80:c25d:8f0::/44 | fe80:c25d:8ff:ffff:ffff:ffff:ffff:ffff |
| 145 | fe80:c25d:900::/44 | fe80:c25d:90f:ffff:ffff:ffff:ffff:ffff |
| 146 | fe80:c25d:910::/44 | fe80:c25d:91f:ffff:ffff:ffff:ffff:ffff |
| 147 | fe80:c25d:920::/44 | fe80:c25d:92f:ffff:ffff:ffff:ffff:ffff |
| 148 | fe80:c25d:930::/44 | fe80:c25d:93f:ffff:ffff:ffff:ffff:ffff |
| 149 | fe80:c25d:940::/44 | fe80:c25d:94f:ffff:ffff:ffff:ffff:ffff |
| 150 | fe80:c25d:950::/44 | fe80:c25d:95f:ffff:ffff:ffff:ffff:ffff |
| 151 | fe80:c25d:960::/44 | fe80:c25d:96f:ffff:ffff:ffff:ffff:ffff |
| 152 | fe80:c25d:970::/44 | fe80:c25d:97f:ffff:ffff:ffff:ffff:ffff |
| 153 | fe80:c25d:980::/44 | fe80:c25d:98f:ffff:ffff:ffff:ffff:ffff |
| 154 | fe80:c25d:990::/44 | fe80:c25d:99f:ffff:ffff:ffff:ffff:ffff |
| 155 | fe80:c25d:9a0::/44 | fe80:c25d:9af:ffff:ffff:ffff:ffff:ffff |
| 156 | fe80:c25d:9b0::/44 | fe80:c25d:9bf:ffff:ffff:ffff:ffff:ffff |
| 157 | fe80:c25d:9c0::/44 | fe80:c25d:9cf:ffff:ffff:ffff:ffff:ffff |
| 158 | fe80:c25d:9d0::/44 | fe80:c25d:9df:ffff:ffff:ffff:ffff:ffff |
| 159 | fe80:c25d:9e0::/44 | fe80:c25d:9ef:ffff:ffff:ffff:ffff:ffff |
| 160 | fe80:c25d:9f0::/44 | fe80:c25d:9ff:ffff:ffff:ffff:ffff:ffff |
| 161 | fe80:c25d:a00::/44 | fe80:c25d:a0f:ffff:ffff:ffff:ffff:ffff |
| 162 | fe80:c25d:a10::/44 | fe80:c25d:a1f:ffff:ffff:ffff:ffff:ffff |
| 163 | fe80:c25d:a20::/44 | fe80:c25d:a2f:ffff:ffff:ffff:ffff:ffff |
| 164 | fe80:c25d:a30::/44 | fe80:c25d:a3f:ffff:ffff:ffff:ffff:ffff |
| 165 | fe80:c25d:a40::/44 | fe80:c25d:a4f:ffff:ffff:ffff:ffff:ffff |
| 166 | fe80:c25d:a50::/44 | fe80:c25d:a5f:ffff:ffff:ffff:ffff:ffff |
| 167 | fe80:c25d:a60::/44 | fe80:c25d:a6f:ffff:ffff:ffff:ffff:ffff |
| 168 | fe80:c25d:a70::/44 | fe80:c25d:a7f:ffff:ffff:ffff:ffff:ffff |
| 169 | fe80:c25d:a80::/44 | fe80:c25d:a8f:ffff:ffff:ffff:ffff:ffff |
| 170 | fe80:c25d:a90::/44 | fe80:c25d:a9f:ffff:ffff:ffff:ffff:ffff |
| 171 | fe80:c25d:aa0::/44 | fe80:c25d:aaf:ffff:ffff:ffff:ffff:ffff |
| 172 | fe80:c25d:ab0::/44 | fe80:c25d:abf:ffff:ffff:ffff:ffff:ffff |
| 173 | fe80:c25d:ac0::/44 | fe80:c25d:acf:ffff:ffff:ffff:ffff:ffff |
| 174 | fe80:c25d:ad0::/44 | fe80:c25d:adf:ffff:ffff:ffff:ffff:ffff |
| 175 | fe80:c25d:ae0::/44 | fe80:c25d:aef:ffff:ffff:ffff:ffff:ffff |
| 176 | fe80:c25d:af0::/44 | fe80:c25d:aff:ffff:ffff:ffff:ffff:ffff |
| 177 | fe80:c25d:b00::/44 | fe80:c25d:b0f:ffff:ffff:ffff:ffff:ffff |
| 178 | fe80:c25d:b10::/44 | fe80:c25d:b1f:ffff:ffff:ffff:ffff:ffff |
| 179 | fe80:c25d:b20::/44 | fe80:c25d:b2f:ffff:ffff:ffff:ffff:ffff |
| 180 | fe80:c25d:b30::/44 | fe80:c25d:b3f:ffff:ffff:ffff:ffff:ffff |
| 181 | fe80:c25d:b40::/44 | fe80:c25d:b4f:ffff:ffff:ffff:ffff:ffff |
| 182 | fe80:c25d:b50::/44 | fe80:c25d:b5f:ffff:ffff:ffff:ffff:ffff |
| 183 | fe80:c25d:b60::/44 | fe80:c25d:b6f:ffff:ffff:ffff:ffff:ffff |
| 184 | fe80:c25d:b70::/44 | fe80:c25d:b7f:ffff:ffff:ffff:ffff:ffff |
| 185 | fe80:c25d:b80::/44 | fe80:c25d:b8f:ffff:ffff:ffff:ffff:ffff |
| 186 | fe80:c25d:b90::/44 | fe80:c25d:b9f:ffff:ffff:ffff:ffff:ffff |
| 187 | fe80:c25d:ba0::/44 | fe80:c25d:baf:ffff:ffff:ffff:ffff:ffff |
| 188 | fe80:c25d:bb0::/44 | fe80:c25d:bbf:ffff:ffff:ffff:ffff:ffff |
| 189 | fe80:c25d:bc0::/44 | fe80:c25d:bcf:ffff:ffff:ffff:ffff:ffff |
| 190 | fe80:c25d:bd0::/44 | fe80:c25d:bdf:ffff:ffff:ffff:ffff:ffff |
| 191 | fe80:c25d:be0::/44 | fe80:c25d:bef:ffff:ffff:ffff:ffff:ffff |
| 192 | fe80:c25d:bf0::/44 | fe80:c25d:bff:ffff:ffff:ffff:ffff:ffff |
| 193 | fe80:c25d:c00::/44 | fe80:c25d:c0f:ffff:ffff:ffff:ffff:ffff |
| 194 | fe80:c25d:c10::/44 | fe80:c25d:c1f:ffff:ffff:ffff:ffff:ffff |
| 195 | fe80:c25d:c20::/44 | fe80:c25d:c2f:ffff:ffff:ffff:ffff:ffff |
| 196 | fe80:c25d:c30::/44 | fe80:c25d:c3f:ffff:ffff:ffff:ffff:ffff |
| 197 | fe80:c25d:c40::/44 | fe80:c25d:c4f:ffff:ffff:ffff:ffff:ffff |
| 198 | fe80:c25d:c50::/44 | fe80:c25d:c5f:ffff:ffff:ffff:ffff:ffff |
| 199 | fe80:c25d:c60::/44 | fe80:c25d:c6f:ffff:ffff:ffff:ffff:ffff |
| 200 | fe80:c25d:c70::/44 | fe80:c25d:c7f:ffff:ffff:ffff:ffff:ffff |
| 201 | fe80:c25d:c80::/44 | fe80:c25d:c8f:ffff:ffff:ffff:ffff:ffff |
| 202 | fe80:c25d:c90::/44 | fe80:c25d:c9f:ffff:ffff:ffff:ffff:ffff |
| 203 | fe80:c25d:ca0::/44 | fe80:c25d:caf:ffff:ffff:ffff:ffff:ffff |
| 204 | fe80:c25d:cb0::/44 | fe80:c25d:cbf:ffff:ffff:ffff:ffff:ffff |
| 205 | fe80:c25d:cc0::/44 | fe80:c25d:ccf:ffff:ffff:ffff:ffff:ffff |
| 206 | fe80:c25d:cd0::/44 | fe80:c25d:cdf:ffff:ffff:ffff:ffff:ffff |
| 207 | fe80:c25d:ce0::/44 | fe80:c25d:cef:ffff:ffff:ffff:ffff:ffff |
| 208 | fe80:c25d:cf0::/44 | fe80:c25d:cff:ffff:ffff:ffff:ffff:ffff |
| 209 | fe80:c25d:d00::/44 | fe80:c25d:d0f:ffff:ffff:ffff:ffff:ffff |
| 210 | fe80:c25d:d10::/44 | fe80:c25d:d1f:ffff:ffff:ffff:ffff:ffff |
| 211 | fe80:c25d:d20::/44 | fe80:c25d:d2f:ffff:ffff:ffff:ffff:ffff |
| 212 | fe80:c25d:d30::/44 | fe80:c25d:d3f:ffff:ffff:ffff:ffff:ffff |
| 213 | fe80:c25d:d40::/44 | fe80:c25d:d4f:ffff:ffff:ffff:ffff:ffff |
| 214 | fe80:c25d:d50::/44 | fe80:c25d:d5f:ffff:ffff:ffff:ffff:ffff |
| 215 | fe80:c25d:d60::/44 | fe80:c25d:d6f:ffff:ffff:ffff:ffff:ffff |
| 216 | fe80:c25d:d70::/44 | fe80:c25d:d7f:ffff:ffff:ffff:ffff:ffff |
| 217 | fe80:c25d:d80::/44 | fe80:c25d:d8f:ffff:ffff:ffff:ffff:ffff |
| 218 | fe80:c25d:d90::/44 | fe80:c25d:d9f:ffff:ffff:ffff:ffff:ffff |
| 219 | fe80:c25d:da0::/44 | fe80:c25d:daf:ffff:ffff:ffff:ffff:ffff |
| 220 | fe80:c25d:db0::/44 | fe80:c25d:dbf:ffff:ffff:ffff:ffff:ffff |
| 221 | fe80:c25d:dc0::/44 | fe80:c25d:dcf:ffff:ffff:ffff:ffff:ffff |
| 222 | fe80:c25d:dd0::/44 | fe80:c25d:ddf:ffff:ffff:ffff:ffff:ffff |
| 223 | fe80:c25d:de0::/44 | fe80:c25d:def:ffff:ffff:ffff:ffff:ffff |
| 224 | fe80:c25d:df0::/44 | fe80:c25d:dff:ffff:ffff:ffff:ffff:ffff |
| 225 | fe80:c25d:e00::/44 | fe80:c25d:e0f:ffff:ffff:ffff:ffff:ffff |
| 226 | fe80:c25d:e10::/44 | fe80:c25d:e1f:ffff:ffff:ffff:ffff:ffff |
| 227 | fe80:c25d:e20::/44 | fe80:c25d:e2f:ffff:ffff:ffff:ffff:ffff |
| 228 | fe80:c25d:e30::/44 | fe80:c25d:e3f:ffff:ffff:ffff:ffff:ffff |
| 229 | fe80:c25d:e40::/44 | fe80:c25d:e4f:ffff:ffff:ffff:ffff:ffff |
| 230 | fe80:c25d:e50::/44 | fe80:c25d:e5f:ffff:ffff:ffff:ffff:ffff |
| 231 | fe80:c25d:e60::/44 | fe80:c25d:e6f:ffff:ffff:ffff:ffff:ffff |
| 232 | fe80:c25d:e70::/44 | fe80:c25d:e7f:ffff:ffff:ffff:ffff:ffff |
| 233 | fe80:c25d:e80::/44 | fe80:c25d:e8f:ffff:ffff:ffff:ffff:ffff |
| 234 | fe80:c25d:e90::/44 | fe80:c25d:e9f:ffff:ffff:ffff:ffff:ffff |
| 235 | fe80:c25d:ea0::/44 | fe80:c25d:eaf:ffff:ffff:ffff:ffff:ffff |
| 236 | fe80:c25d:eb0::/44 | fe80:c25d:ebf:ffff:ffff:ffff:ffff:ffff |
| 237 | fe80:c25d:ec0::/44 | fe80:c25d:ecf:ffff:ffff:ffff:ffff:ffff |
| 238 | fe80:c25d:ed0::/44 | fe80:c25d:edf:ffff:ffff:ffff:ffff:ffff |
| 239 | fe80:c25d:ee0::/44 | fe80:c25d:eef:ffff:ffff:ffff:ffff:ffff |
| 240 | fe80:c25d:ef0::/44 | fe80:c25d:eff:ffff:ffff:ffff:ffff:ffff |
| 241 | fe80:c25d:f00::/44 | fe80:c25d:f0f:ffff:ffff:ffff:ffff:ffff |
| 242 | fe80:c25d:f10::/44 | fe80:c25d:f1f:ffff:ffff:ffff:ffff:ffff |
| 243 | fe80:c25d:f20::/44 | fe80:c25d:f2f:ffff:ffff:ffff:ffff:ffff |
| 244 | fe80:c25d:f30::/44 | fe80:c25d:f3f:ffff:ffff:ffff:ffff:ffff |
| 245 | fe80:c25d:f40::/44 | fe80:c25d:f4f:ffff:ffff:ffff:ffff:ffff |
| 246 | fe80:c25d:f50::/44 | fe80:c25d:f5f:ffff:ffff:ffff:ffff:ffff |
| 247 | fe80:c25d:f60::/44 | fe80:c25d:f6f:ffff:ffff:ffff:ffff:ffff |
| 248 | fe80:c25d:f70::/44 | fe80:c25d:f7f:ffff:ffff:ffff:ffff:ffff |
| 249 | fe80:c25d:f80::/44 | fe80:c25d:f8f:ffff:ffff:ffff:ffff:ffff |
| 250 | fe80:c25d:f90::/44 | fe80:c25d:f9f:ffff:ffff:ffff:ffff:ffff |
| 251 | fe80:c25d:fa0::/44 | fe80:c25d:faf:ffff:ffff:ffff:ffff:ffff |
| 252 | fe80:c25d:fb0::/44 | fe80:c25d:fbf:ffff:ffff:ffff:ffff:ffff |
| 253 | fe80:c25d:fc0::/44 | fe80:c25d:fcf:ffff:ffff:ffff:ffff:ffff |
| 254 | fe80:c25d:fd0::/44 | fe80:c25d:fdf:ffff:ffff:ffff:ffff:ffff |
| 255 | fe80:c25d:fe0::/44 | fe80:c25d:fef:ffff:ffff:ffff:ffff:ffff |
| 256 | fe80:c25d:ff0::/44 | fe80:c25d:fff:ffff:ffff:ffff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |